#!/bin/bash

function demande_y_n() {
 # cette méthode permet de demander oui ou non à une personne, elle retourne 0 si c'est oui, sinon c'est non
 #elle prend en paramètre la question à poser

 question=$1
 while true
     do
      read -p " $question " ajouter
      if [[ -z $ajouter ]]
      then
        continue
      fi
      if [ $ajouter == "y" ] || [ $ajouter == "Y" ]
      then
        return 0
      fi
      if [ $ajouter == "n" ] || [ $ajouter == "N" ]
      then
        return 1
      fi
      done
}
